    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2007, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * ----------------
    028     * XisSymbolic.java
    029     * ----------------
    030     *
    031     * Original Author:  Anthony Boulestreau;
    032     * Contributor(s):   David Gilbert (for Object Refinery Limited);
    033     *
    034     * Changes
    035     * -------
    036     * 29-Mar-2002 : First version (AB);
    037     * 07-Oct-2002 : Fixed errors reported by Checkstyle (DG);
    038     * 02-Feb-2007 : Removed author tags all over JFreeChart sources (DG);
    039     *
    040     */
    041
    042    package org.jfree.data.xy;
    043
    044    /**
    045     * Represent a data set where X is a symbolic values. Each symbolic value is
    046     * linked with an Integer.
    047     */
    048    public interface XisSymbolic {
    049
    050        /**
    051         * Returns the list of symbolic values.
    052         *
    053         * @return An array of symbolic values.
    054         */
    055        public String[] getXSymbolicValues();
    056
    057        /**
    058         * Returns the symbolic value of the data set specified by
    059         * <CODE>series</CODE> and <CODE>item</CODE> parameters.
    060         *
    061         * @param series  value of the serie.
    062         * @param item  value of the item.
    063         *
    064         * @return The symbolic value.
    065         */
    066        public String getXSymbolicValue(int series, int item);
    067
    068        /**
    069         * Returns the symbolic value linked with the specified
    070         * <CODE>Integer</CODE>.
    071         *
    072         * @param val  value of the integer linked with the symbolic value.
    073         *
    074         * @return The symbolic value.
    075         */
    076        public String getXSymbolicValue(Integer val);
    077
    078    }